# Console 3.4.2 Patch Level 1
**Operating Systems:** Linux and Windows
**Date:** 10/18/2021

This patch includes the following fixes:

### PATCH LEVEL 1 FIXES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AC-1162    | When reporting on a transfer with files located in S3, Console email notifications URL encode the file paths. |
| AC-1158    | Added a new rake task to programmatically add nodes to Console. |
| AC-1157    | The character limit on the **Include filter** option for Smart Transfers is too low to enter multiple file names. |
| AC-1152    | Documented different behavior of the **Specify base for source path** option if multiple files and folders are selected for the source and the destination node is a Shares endpoint. |
| -------- | ----------------------------------------------------------------------------------------------- |

### KNOWN ISSUES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AC-1160    | An open tab that stays on the Dashboard page eventually stops responding and the browser kills the tab. |
| ---------- | ----------------------------------------------------------------------------------------------- |

### RAKE TASK INSTRUCTIONS

Add a managed node (with example data):
```
asctl console:rake aspera:managed_node:create ASPERA_NODE_ADDRESS='<hsts_server_ip_address>' ASPERA_NODE_NAME='<name_displayed_in_console>' ASPERA_NODE_API_LOGIN='<node_api_user_username>' ASPERA_NODE_API_PASSWORD='<node_api_user_password>' ASPERA_NODE_API_PORT=9092 ASPERA_NODE_SSH_PORT=22 ASPERA_NODE_SSH_ENCRYPTION='<encryption_type (for examle, AES129-ctr)>'
```

Add an unmanaged node (with example data):
```
asctl console:rake aspera:unmanaged_node:create ASPERA_NODE_ADDRESS='<hsts_server_ip_address>' ASPERA_NODE_NAME='<name_displayed_in_console>' ASPERA_NODE_SSH_PORT=22

```

## PATCH INSTRUCTIONS

### Applying the patch for Linux systems:
1. Download the patch file (`IBM_Aspera_Console_3.4.2_Linux_Windows_Patch_Level_1.zip`) and unzip it.

3. Make sure to back-up all the files in the console folder (``/opt/aspera/console/``).

4. Run the following command to replace existing files with patch files:

    ```$ /bin/cp -r patch_path/IBM_Aspera_Console_3.4.2_Linux_Windows_Patch_Level_1/* /opt/aspera/console/```
    ```$ chown -R aspera_console:aspera_console /opt/aspera/console ```

5. Update the database schema:

    ```asctl console:migrate_database```

    **Note:** The database migration can take a long time depending on the number of records in the database. In an IBM Aspera test environment, a database with six million records took 20 minutes to migrate. This is an example, not a benchmark. Migration time depends on your environment and the number of records in your database.

6. Restart Console service:

    ```asctl console:restart```

7. Confirm the patch was applied by checking the patch level listed in the footer (beneath the version number).

### Applying the patch for Windows systems:
1. Download the patch file (`IBM_Aspera_Console_3.4.2_Linux_Windows_Patch_Level_1.zip`) and unzip it.

3. Make sure to back-up all the files in the Console folder (`C:\Program Files (x86)\Aspera\Management Console\`).

4. Stop all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with IBM Aspera Console in the name, right-click on the service and select **Stop** from the drop-down menu.

5. Replace existing files by copying patch files to appropriate directories in the Console folder (`C:\Program Files (x86)\Aspera\Management Console\`).

6. Start all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with IBM Aspera Console in the name, right-click on the service and select **Start** from the drop-down menu.

7. Update the database schema:

    ```asctl console:migrate_database```

    **Note:** The database migration can take a long time depending on the number of records in the database. In an IBM Aspera test environment, a database with six million records took 20 minutes to migrate. This is an example, not a benchmark. Migration time depends on your environment and the number of records in your database.

8. Restart all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with IBM Aspera Console in the name, right-click on the service and select **Restart** from the drop-down menu.

9. Confirm the patch was applied by checking the patch level listed in the footer (beneath the version number).

© IBM Aspera. Copyright IBM Corp. 2009, 2021
